Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package settings
  Definition Classes
    nsc
-  class MutableSettings extends reflect.internal.settings.MutableSettings with AbsSettings with ScalaSettings

  A mutable Settings object.

  A mutable Settings object.

  Definition Classes
    settings
- AbsSetting
- AbsSettingValue
- BooleanSetting
- CachePolicy
- ChoiceSetting
- EnableSettings
- IntSetting
- InternalSetting
- LintWarnings
- MacroExpand
- MultiChoiceEnumeration
- MultiChoiceSetting
- MultiStringSetting
- OutputDirs
- OutputSetting
- PathSetting
- PhasesSetting
- PrefixSetting
- ScalaVersionSetting
- Setting
- SettingValue
- StringSetting
- UnusedWarnings
- XxmlSettings
- languageFeatures
- mixinForwarderChoices
- optChoices
- optWarningsChoices

c

scala.tools.nsc.settings.MutableSettings

# MultiChoiceEnumeration

###

#### abstract class MultiChoiceEnumeration extends Enumeration

Each MultiChoiceSetting takes a MultiChoiceEnumeration as domain. The enumeration may use the Choice class to define values, or simply use the default `Value` constructor:

object SettingDomain extends MultiChoiceEnumeration { val arg1, arg2 = Value }

Or

object SettingDomain extends MultiChoiceEnumeration { val arg1 = Choice("arg1", "help") val arg2 = Choice("arg2", "help") }

Choices with a non-empty `expandsTo` enable other options. Note that expanding choices are not present in the multiChoiceSetting.value set, only their expansion.

Source
  MutableSettings.scala

Linear Supertypes
Enumeration, java.io.Serializable, AnyRef, Any
Known Subclasses
XxmlSettings, languageFeatures, optChoices, optWarningsChoices, LintWarnings, UnusedWarnings
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MultiChoiceEnumeration
2. Enumeration
3. Serializable
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new MultiChoiceEnumeration()

### Type Members

1.  case class Choice(name: String, help: String = "", expandsTo: List[Choice] = Nil) extends Val with Product with Serializable
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from MultiChoiceEnumeration toany2stringadd[MultiChoiceEnumeration] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (MultiChoiceEnumeration, B)
   Implicit
     This member is added by an implicit conversion from MultiChoiceEnumeration toArrowAssoc[MultiChoiceEnumeration] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
7.  final def Value(name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
8.  final def Value(i: Int): Value
   Attributes
     protected
   Definition Classes
     Enumeration
9.  final def Value: Value
   Attributes
     protected
   Definition Classes
     Enumeration
10.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
13.  def ensuring(cond: (MultiChoiceEnumeration) => Boolean, msg: => Any): MultiChoiceEnumeration
    Implicit
      This member is added by an implicit conversion from MultiChoiceEnumeration toEnsuring[MultiChoiceEnumeration] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: (MultiChoiceEnumeration) => Boolean): MultiChoiceEnumeration
    Implicit
      This member is added by an implicit conversion from MultiChoiceEnumeration toEnsuring[MultiChoiceEnumeration] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean, msg: => Any): MultiChoiceEnumeration
    Implicit
      This member is added by an implicit conversion from MultiChoiceEnumeration toEnsuring[MultiChoiceEnumeration] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: Boolean): MultiChoiceEnumeration
    Implicit
      This member is added by an implicit conversion from MultiChoiceEnumeration toEnsuring[MultiChoiceEnumeration] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
19.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from MultiChoiceEnumeration toStringFormat[MultiChoiceEnumeration] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  final def maxId: Int
    Definition Classes
      Enumeration
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
27.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
31.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
32.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
33.  def values: ValueSet
    Definition Classes
      Enumeration
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
37.  final def withName(s: String): Value
    Definition Classes
      Enumeration
38.  implicit object ValueOrdering extends Ordering[Value]
    Definition Classes
      Enumeration
39.  object ValueSet extends SpecificIterableFactory[Value, ValueSet] with java.io.Serializable
    Definition Classes
      Enumeration
    Annotations
      @SerialVersionUID()

### Deprecated Value Members

1.  def →[B](y: B): (MultiChoiceEnumeration, B)
   Implicit
     This member is added by an implicit conversion from MultiChoiceEnumeration toArrowAssoc[MultiChoiceEnumeration] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Enumeration

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromMultiChoiceEnumeration to any2stringadd[MultiChoiceEnumeration]

### Inherited by implicit conversion StringFormat fromMultiChoiceEnumeration to StringFormat[MultiChoiceEnumeration]

### Inherited by implicit conversion Ensuring fromMultiChoiceEnumeration to Ensuring[MultiChoiceEnumeration]

### Inherited by implicit conversion ArrowAssoc fromMultiChoiceEnumeration to ArrowAssoc[MultiChoiceEnumeration]

### Ungrouped